> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bulk Operations

> Retrieve a list of bulk operations. The list can be sorted and paginated using the parameters below.



## OpenAPI

````yaml get /bulk-operations
openapi: 3.1.0
info:
  title: Bulk Operations API
  description: >-
    API for performing bulk operations for various resources


    ### Resource identifier format


    Resource identifiers (the `id` field and related global-identifier fields)
    are returned as JSON

    integers by default. To receive them as strings instead, send the

    `X-Loop-Global-Identifier-Type: string` request header.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Bulk Operations
    description: Operations related to managing resources in bulk
paths:
  /bulk-operations:
    get:
      tags:
        - Bulk Operations
      summary: List Bulk Operations
      description: >-
        Retrieve a list of bulk operations. The list can be sorted and paginated
        using the parameters below.
      operationId: listBulkOperations
      parameters:
        - name: limit
          in: query
          description: The maximum number of bulk operations returned.
          required: false
          example: 20
          schema:
            type: integer
            maximum: 250
            default: 50
        - name: sort_order
          in: query
          description: The sort order for the results.
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            default: asc
        - name: cursor
          in: query
          description: The cursor to return the next page of results.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  bulk_operations:
                    type: array
                    items:
                      $ref: '#/components/schemas/BulkOperationResponse'
                    description: An array of bulk operations.
                  next_page_url:
                    type:
                      - string
                      - 'null'
                  previous_page_url:
                    type:
                      - string
                      - 'null'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
      security:
        - read: []
components:
  schemas:
    BulkOperationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier for the bulk operation, created by Loop.
          examples:
            - 641174584320376000
        status:
          type:
            - string
            - 'null'
          description: The status of the bulk operation.
          enum:
            - pending
            - processed_with_failures
            - processed_successful
        pending_count:
          type: integer
          format: int32
          description: The number of pending jobs.
          examples:
            - 1
        failed_count:
          type: integer
          format: int32
          description: The number of failed jobs.
          examples:
            - 0
        success_count:
          type: integer
          format: int32
          description: The number of successful jobs.
          examples:
            - 0
        created_at:
          type: string
          format: date-time
          description: The date and time at which the bulk operation was created.
          examples:
            - '2023-04-25T13:25:00-05:00'
        updated_at:
          type: string
          format: date-time
          examples:
            - '2023-04-27T13:25:00-05:00'
          description: The date and time at which the bulk operation was updated.
    UnauthorizedResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: string
          examples:
            - Unauthorized.
  securitySchemes:
    read:
      type: apiKey
      in: header
      name: X-Authorization
      description: 'API Scope: "Bulk Operations (read)"'
      x-scope: Bulk Operations (Read)

````